Subject: bug#57959: 29.0.50; build error on gnulinux

From: Pankaj Jangid <[email-masked]>
Date: Wed, 21 Sep 2022 09:21:10 +0530

Gregory Heytings <[email-masked]> writes:

>>
>>  CC       lcms.o
>>  CC       inotify.o
>>  CC       profiler.o
>>  CC       decompress.o
>> make[3]: Leaving directory '/home/pankaj/work/gnu/emacs/doc/lispref'
>> make[2]: Leaving directory '/home/pankaj/work/gnu/emacs'
>> make[2]: Entering directory '/home/pankaj/work/gnu/emacs'
>>  CC       thread.o
>>
>>  "make all" failed with exit status 2.
>>  You might try to:
>>  - run "make bootstrap", which might fix the problem
>>  - run "make V=1", which displays the full commands invoked by make,
>>    to further investigate the problem
>>
>> make[2]: *** [Makefile:405: advice-on-failure] Error 2
>> make[2]: Leaving directory '/home/pankaj/work/gnu/emacs'
>> make[1]: *** [Makefile:370: all] Error 2
>> make[1]: *** Waiting for unfinished jobs....
>>
>
> And what's the actual build error?  You should see it a few lines
> above. Did you try to run "make bootstrap"?

Getting this in latest commit as well
(1231a601ebe1fd9fe454c504dbeb9267440242e7). Tried after `git clean -fdx`
as well. Here are some errors that I noticed (besides earlier messages),

--8<---------------cut here---------------start------------->8---
make[3]: Entering directory '/home/pankaj/work/gnu/emacs/lib'
  GEN      unistd.h
  CC       fingerprint.o
  CC       mktime.o
  CC       acl-errno-valid.o
  CC       acl-internal.o
  CC       get-permissions.o
  CC       set-permissions.o
  CC       allocator.o
mv: cannot stat 'unistd.h-t': No such file or directory
make[3]: *** [gnulib.mk:3801: unistd.h] Error 1
make[3]: Leaving directory '/home/pankaj/work/gnu/emacs/lib'
make[2]: *** [Makefile:529: lib] Error 2
make[2]: *** Waiting for unfinished jobs....
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
  CC       malloc/dynarray_resize_clear.o
mv: cannot stat 'info/dir.tmp': No such file or directory
make[2]: *** [Makefile:1152: info/dir] Error 1
--8<---------------cut here---------------end--------------->8---

Here is config output, if that is useful:

--8<---------------cut here---------------start------------->8---
Configured for 'x86_64-pc-linux-gnu'.

  Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -g3 -O2
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          GTK3
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use a png library?                           yes -lpng16 -lz
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use -lwebp?                                  no
  Does Emacs use -lsqlite3?                               yes
  Does Emacs use cairo?                                   yes
  Does Emacs use -llcms2?                                 yes
  Does Emacs use imagemagick?                             no
  Does Emacs use native APIs for images?                  no
  Does Emacs support sound?                               yes
  Does Emacs use -lgpm?                                   yes
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               yes
  Does Emacs use a file notification library?             yes -lglibc (inotify)
  Does Emacs use access control lists?                    yes -lacl
  Does Emacs use -lselinux?                               yes
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              yes
  Does Emacs use HarfBuzz?                                yes
  Does Emacs use -lm17n-flt?                              yes
  Does Emacs use -lotf?                                   yes
  Does Emacs use -lxft?                                   no
  Does Emacs use -lsystemd?                               yes
  Does Emacs use -ljansson?                               yes
  Does Emacs use the GMP library?                         yes
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                yes
  Does Emacs use toolkit scroll bars?                     yes
  Does Emacs support Xwidgets?                            no
  Does Emacs have threading support in lisp?              yes
  Does Emacs support the portable dumper?                 yes
  Does Emacs support legacy unexec dumping?               no
  Which dumping strategy does Emacs use?                  pdumper
  Does Emacs have native lisp compiler?                   no
  Does Emacs use version 2 of the X Input Extension?      yes
  Does Emacs generate a smaller-size Japanese dictionary? no

--8<---------------cut here---------------end--------------->8---